#import "@preview/wrap-it:0.1.1": *

== Mitgliederverwaltung & Stammdaten

#wrap-content(
  figure(
    image("../../images/member-base-data.png", width: 6.5cm),
  ),
)[
Die Mitgliederverwaltung ermöglicht die strukturierte Erfassung und Verwaltung von Mitgliederdaten. Bevor einzelne Mitgliederdatensätze angelegt werden können, müssen zunächst die Mitgliederstammdaten definiert werden. Diese Stammdaten dienen als Grundlage für die spätere Datenerfassung und ermöglichen eine einheitliche, standardisierte Verwaltung. Sind die Stammdaten einmal hinterlegt, können sie bei der Erfassung neuer Mitglieder verwendet werden.

Dazu gehören grundlegende Kategorien wie Anrede, Auszeichnungen, Kommunikationskanäle, Mitgliedsstatus, Qualifikationen/Funktionen, Aus-/Fortbildungen und Vereinsämter.
]

Alle Stammdaten können frei ausgefüllt werden und einem Mitglied je nach Typ mehrfach zugewiesen werden. Dabei können diese unterschiedliche Inhalte speichern. Ein Titel oder eine Bezeichnung können dabei nicht doppelt vorkommen.

- *Anrede:* Anreden können je nach Bedarf mit Werten wie Herr, Frau, Dr. oder Prof. erstellt werden.
- *Auszeichnungen:* Titel enthalten nur den Titel.
- *Kommunikationskanäle:* Kommunikationskanäle enthalten sowohl die Bezeichnung als auch die dem Kanal zugeordneten Kommunikationsarten. Folgende Felder können zugeordnet werden: Telefonnummer, E-Mail-Adresse, Postleitzahl, Stadt/Ort, Straße, Hausnummer und Hausnummernzusatz.
- *Mitgliedsstatus:* Mitgliedsstatus sind frei wählbar und können die Zugehörigkeit zu einem Verein oder einer Vereinsgruppe widerspiegeln. Beispiele wären "aktiv", "passiv", "fördernd" oder "Tischtennis" oder "Fußball". 
- *Qualifikationen/Funktionen:* Qualifikationen/Funktionen können frei vergeben werden. Zusätzlich kann eine Beschreibung angegeben werden. Beispiele sind "Atemschutzgeräteträger", "Gruppenführer"...
- *Aus-/Fortbildungen:* Aus-/Fortbildungen können frei vergeben werden. Zusätzlich kann der Ort der Aus-/Fortbildung und eine Notiz angegeben werden. Beispiele sind Lehrgänge zu den Qualifikationen/Funktionen.
- *Vereinsämter:* Vereinsämter können ebenfalls frei belegt werden. Dabei können alle Funktionen im Verein von "Vorstand" bis "EDV" angelegt werden.

#figure(
  image("../../images/member-edit-data.png", width: 100%),
)
Innerhalb der Mitgliederansicht können dann individuelle Mitgliederprofile angelegt und gepflegt werden. Diese enthalten persönliche Daten wie Name, Geburtsdatum oder eine Notiz sowie spezifische Informationen zur Mitgliedschaft wie Eintrittsdatum, Qualifikationen/Funktionen oder verliehene Auszeichnungen. Darüber hinaus bietet das System eine automatische Berechnung der Mitgliedschaftsdauer zur Gesamtdauer und je zugewiesenem Status, um die aktive Zeit eines Mitglieds jederzeit nachvollziehen zu können. Daten zu einem Mitglied können als pdf exportiert werden. Das Basis-Template beinhaltet alle Mitgliederdaten außer den Kommunikationskanälen. Das Dokument-Icon in der Kopfzeile in der Mitglied-Detailansicht löst den Druck aus. Das erstellte pdf wird nicht auf dem Server gespeichert und kann deshalb direkt heruntergeladen werden.
\
\
Die Einträge zu einem Mitglied umfassen dann jeweils den Basisdatensatz und weitere Details, wie z.B. einen Zeitraum, in dem dieser Eintrag gültig ist oder war. Einige Eingabemöglichkeiten weisen Besonderheiten auf.
\
\
*Mitgliedschaften* werden als Zeiträume eines bestimmten Status angegeben. Durch die Angabe eines neuen Zeitraums wird ein bisher aktiver Zeitraum beendet und das Enddatum auf den Tag vor Beginn des neuen Zeitraums gesetzt. Derzeit wird nicht geprüft, ob sich Zeiträume überschneiden. Zusätzlich kann bei einem Eintrag ein Grund für das Ende des Eintrags angegeben werden. Beispiele hierfür wären der Austritt oder der Tod eines Mitglieds.

Bei einem *Kommunikationskanal* können nur die Felder ausgefüllt werden, die in den Stammdaten hinterlegt wurden. Zusätzlich kann angegeben werden, welche der Adressen bevorzugt verwendet werden soll. Dadurch ist es möglich, mehrere Telefonnummern oder Adressen zu erfassen, ohne die Übersicht zu verlieren. Weiterhin kann angegeben werden, ob ein Kommunikationskanal für den Versand eines Newsletters verwendet werden soll. Hierbei ist zu beachten, dass ein Newsletter derzeit nicht an eine Telefonnummer versendet werden kann. 

Im Feuerwehrkontext kann bei einer Telefonnummer angegeben werden, ob diese für eine SMS-Alarmierung verwendet werden kann. Der Versand einer SMS an Mitglieder im Alarmfall ist nicht in FF Admin integriert und muss extern konfiguriert werden. Die Angabe erleichtert jedoch die Identifikation von Telefonnummern, die für diesen Anwendungsfall verwendet werden können.

*Auszeichnungen* können einem Mitglied mit einem Übergabedatum zugeordnet werden. Dabei kann auch vermerkt werden, ob die Annahme vom Mitglied verweigert oder vom Verein verweigert wurde. Optional kann eine Notiz hinzugefügt werden. Die Notiz kann die Gründe für die Nichtannahme oder eine verspätete Übergabe enthalten.

*Qualifikationen/Funktionen* können auch mit einem Zeitraum angelegt werden. Ein Eintrag kann weiterhin eine Notiz enthalten, z.B. eine Einschränkung der Qualifikationen/Funktionen. Außerdem kann angegeben werden, warum die Qualifikationen/Funktionen zurückgezogen wurde oder nicht mehr gültig ist.

*Aus-/Fortbildungen* können auch mit einem Zeitraum angelegt werden. Ein Eintrag kann weiterhin einen Ausbildungsort oder eine Notiz enthalten, z.B. eine Einschränkung der Aus-/Fortbildungen.

*Vereinsämter* können ebenfalls mit den Zeiträumen der Ausübung angelegt werden. Auch hier besteht die Möglichkeit, eine Notiz hinzuzufügen.
\
\
*Anmerkung:* In jeder erfassbaren Datenkategorie können Einträge mehrfach vorkommen. Eine Überprüfung auf sich überschneidende Zeiträume oder Doppelerfassungen muss durch den Anwender erfolgen.
